#include <sys/types.h>
#include <sys/time.h>
#include <sys/mman.h>

#include <dev/wscons/wsconsio.h>

#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

main(int argc, char *argv[])
{
    int mode;
    int fd;

    fd = open("/dev/ttyE0", O_RDWR);
    if (fd < 0) {
	perror("ttyE0");
	exit(1);
    }

    mode = argc > 1 ? WSDISPLAYIO_VIDEO_ON : WSDISPLAYIO_VIDEO_OFF;
    if (ioctl(fd, WSDISPLAYIO_SVIDEO, &mode) < 0) {
	perror("WSDISPLAYIO_SVIDEO");
	exit(1);
    }
}
